{include file='include/datepicker.inc.tpl'}
{combine_script id='jquery.ui.slider' require='jquery.ui' load='footer' path='themes/default/js/ui/minified/jquery.ui.slider.min.js'}
{combine_css path="themes/default/js/ui/theme/jquery.ui.slider.css"}
{footer_script}

jQuery.fn.banDatepicker = function(settings) {
  var options = jQuery.extend(true, {
    showTimepicker: true,
    cancelButton: false,
  }, settings || {});

  return this.each(function() {
    var $this = jQuery(this),
        originalValue = $this.val(),
        originalDate,
        $target = jQuery('[name="'+ $this.data('datepicker') +'"]'),
        linked = !!$target.length;
		
    // init picker
    $this.datetimepicker(jQuery.extend({
      dateFormat: linked ? 'DD d MM yy' : 'yy-mm-dd',
      timeFormat: 'HH:mm:ss',
      separator: options.showTimepicker ? ' ' : '',

      altField: linked ? $target : null,
      altFormat: 'yy-mm-dd',
      altTimeFormat: options.showTimepicker ? 'HH:mm:ss' : '',
	  	  
      autoSize: true,
      changeMonth : true,
      changeYear: true,
      altFieldTimeOnly: true,
      showSecond: true,
      alwaysSetTime: false,
	  }, options));

    // autoSize not handled by timepicker
    if (options.showTimepicker) {
      $this.attr('size', parseInt($this.attr('size'))+6);
    }
  });
};

jQuery(function(){ {* <!-- onLoad needed to wait localization loads --> *}
  jQuery('[data-datepickerban]').banDatepicker();
  });

jQuery(function($) {
	$('input.dban').each(function(){
		d = new Date();
		var datestring = d.getFullYear() + "-" + ("0"+(d.getMonth()+1)).slice(-2) + "-" + ("0" + d.getDate()).slice(-2) + " " + ("0" + d.getHours()).slice(-2) + ":" + ("0" + d.getMinutes()).slice(-2) + ":" + ("0" + d.getSeconds()).slice(-2);
		$(this).val(datestring);
	});
	$('input.dban2').each(function(){
		d = $(this).attr('data-value');;
		$(this).val(d);
	});
// slide
    $('.range').each(function(){
        var cls=$(this).attr('class');
        var elem=$(this).parent();
        var input=elem.find('input');
        var options={};
        elem.append('<div class="uirange"></div>');
        options.slide=function(event,ui){
            elem.find('label span').empty().append(ui.value);
            input.val(ui.value);
        }
        options.value=input.val();
        options.range='min';
        options.min=$(this).data('min');
        options.max=$(this).data('max');
        elem.find('.uirange').slider(options);
        elem.find('label span').empty().append(input.val());
        input.hide();
    });
});

{/footer_script}

{html_style}
.uirange{
    margin:10px;
    margin-left: 40px;
}
{/html_style}

<div class="titrePage">
  <h2>{'AntiAspi'|@translate}</h2>
</div>
{if isset ($ipbangest)}
<form method="post" >
	<fieldset>
		<input class="submit" name="submitipban" type="submit" value="{'Add IP ban'|@translate}" />
	</fieldset>
</form>
{/if}
{if isset ($ipban_add)}
	<form method="post">
		<fieldset>
			<legend>{'Add IP ban'|@translate}</legend>
			{'IP'|@translate} <input " type="text" name="inserip" data-ip placeholder="123.123.123.123" value="" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$">
			{'Date'|@translate} <i class="icon-calendar"></i> <input class="dban" type="text" data-datepickerban name="inserdate" size="20" maxlenght="20" readonly>
			<br>
			<br>
				<div style="text-align:center;">
				<input class="submit" name="submitaddipban" type="submit" value="{'Submit'|@translate}" />
				</div>
		</fieldset>
	</form>
{/if}
{if isset ($ipbangest)}
<form method="post" >
	<fieldset>
	  <legend>{'List IP banned'|@translate}</legend>
	   <table class="lban">
		{foreach from=$ipban2 item=ipban}
		  <tr>
			<td><!-- {$ipban.ID} --> {$ipban.IP}</td>
			<td>{$ipban.DATE}</td>
			<td>
			<a href="{$ipban.U_EDIT}">
				<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png" alt="{'edit'|@translate}" title="{'edit'|@translate}" />
			</a>
			<a href="{$ipban.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
				<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" id="btn_delete" alt="{'delete'|@translate}" title="{'Delete'|@translate}" />
			</a>
			</td>
		  </tr>
		{/foreach}
	 </table>
  	</fieldset>
</form>
{/if}
{if isset ($ipban_edit)}
	<form method="post" >
		<fieldset>
			<legend>{'IP banned edit'|@translate}</legend>
			<input type="hidden" name="invisibleID" value="{$ipban_edit.ID}">
			{'IP'|@translate} <input " type="text" name="inserip" data-ip placeholder="123.123.123.123" value="{$ipban_edit.IP}" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$">
			{'Date'|@translate} <i class="icon-calendar"></i> <input class="dban2" type="text" data-datepickerban name="inserdate" data-value="{$ipban_edit.DATE}" size="20" maxlenght="20">
			<br>	
			<br>
				<div style="text-align:center;">
				<input class="submit" name="submitaddipban2" data-ip type="submit" value="{'Submit'|@translate}" />
				</div>
		</fieldset>
	</form>
{/if}

{if isset ($ipconfiggest)}
<form method="post">
 <fieldset>
  <legend>{'Configuration'|translate}</legend>
	 <fieldset>
		<p class="input" style="width: 700px;">
		  <label for="insdiffa"><strong>{'IP banned if '|@translate}<span></span></strong></label>
		  <input type="text" name="insdiffa" data-min="10" data-max="500" class="range" value="{$ipconfiggest.DIFFA}"/>  
		</p>	
		<p class="input" style="width: 700px;">
			<label for="insdiffb"><strong>{' different pages viewed in <span></span> seconds'|@translate} </strong></label>
			<input type="text" name="insdiffb" data-min="5" data-max="3599" class="range" value="{$ipconfiggest.DIFFB}"/>
		</p>
	</fieldset>
	<fieldset>
		<p class="input" style="width: 700px;">
		  <label for="inssamea"><strong>{'IP banned if same '|@translate}<span></span></strong></label>
		  <input type="text" name="inssamea" data-min="10" data-max="500" class="range" value="{$ipconfiggest.SAMEA}"/>  
		</p>	
		<p class="input" style="width: 700px;">
			<label for="inssameb"><strong>{' different pages viewed in <span></span> seconds'|@translate} </strong></label>
			<input type="text" name="inssameb" data-min="5" data-max="3599" class="range" value="{$ipconfiggest.SAMEB}"/>
		</p>
	</fieldset>
	<p>
        <strong>{'only guest'|@translate}</strong>
        {html_radios separator="  " name="insonlyguest" values=$ipconfiggest.ONLYGUESTV output=$ipconfiggest.ONLYGUEST selected="{$ipconfiggest.ONLYGUESTSELECT}"}
		({'If yes, don\'t ban registered users'|@translate})
    </p>
	<p>
        <strong>{'only picture'|@translate}</strong>
        {html_radios separator="  " name="insonlypicturet" values=$ipconfiggest.ONLYPICTUREV output=$ipconfiggest.ONLYPICTURE selected="{$ipconfiggest.ONLYPICTURESELECT}"}
		({'If yes, apply antiaspi only on picture page'|@translate})
    </p>
	 <fieldset>
      <legend>{'allowed ip'|translate}</legend>
		<table class="lban">
			{foreach from=$allowip item=allowip2}
			  <tr>
				<td>{$allowip2.IP}</td>
				<td>
				<a href="{$allowip2.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
					<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" id="btn_delete" alt="{'delete'|@translate}" title="{'Delete'|@translate}" />
				</a>
				</td>
			  </tr>
			{/foreach}
		 </table>
	 </fieldset>
    <p>
        <input class="submit" type="submit" name="submitconfban" value="{'Submit'|@translate}">
    </p>
 </fieldset>
</form>
  {if isset ($ipconfiggest)}
	<form method="post">
		<fieldset>
			<legend>{'Add IP allowed'|@translate}</legend>
			{'IP'|@translate} <input " type="text" name="insipallowed" data-ip placeholder="123.123.123.123" value="" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$">
			<br>
			<br>
				<div style="text-align:center;">
				<input class="submit" name="submitaddipallowed" type="submit" value="{'Submit'|@translate}" />
				</div>
		</fieldset>
	</form>
{/if}
{/if}